"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var Error_1 = __importDefault(require("./Error"));
var react_1 = __importDefault(require("react"));
var InputField = function (props) {
    var fieldType = props.fieldType, inputValue = props.inputValue, onInputChange = props.onInputChange, placeholder = props.placeholder, autoComplete = props.autoComplete, error = props.error, appearence = props.appearence, errorCustomClassName = props.errorCustomClassName;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("input", { className: "".concat(appearence !== null && appearence !== void 0 ? appearence : ""), placeholder: placeholder !== null && placeholder !== void 0 ? placeholder : "Input data here...", type: fieldType, autoComplete: autoComplete !== null && autoComplete !== void 0 ? autoComplete : "off", value: inputValue, onChange: function (e) {
                var value = e.target.value;
                onInputChange(value);
            } }),
        error ? (react_1.default.createElement(Error_1.default, { error: error, appearence: errorCustomClassName })) : null));
};
exports.default = InputField;
