"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.api = exports.typeGuard = exports.permissionsGuard = exports.authGuard = exports.sayHi = void 0;
var hi_1 = require("./hi");
Object.defineProperty(exports, "sayHi", { enumerable: true, get: function () { return hi_1.sayHi; } });
var permissionsGuard_1 = __importStar(require("./guards/permissionsGuard"));
var authGuard_1 = __importStar(require("./guards/authGuard"));
var apiRequest_1 = require("./api/apiRequest");
var genericApiError_1 = require("./guards/genericApiError");
var loginResponse_1 = require("./guards/loginResponse");
var authGuard = { pageWithAuth: authGuard_1.default, elementWithAuth: authGuard_1.elementWithAuth };
exports.authGuard = authGuard;
var permissionsGuard = { pageWithPermissions: permissionsGuard_1.pageWithPermissions, elementWithPermissions: permissionsGuard_1.default };
exports.permissionsGuard = permissionsGuard;
var typeGuard = { isGenericApiError: genericApiError_1.isGenericApiError, isLoginResponse: loginResponse_1.isLoginResponse };
exports.typeGuard = typeGuard;
var api = new apiRequest_1.ApiRequest(); // a singllke instance to use 
exports.api = api;
